// You can import API functions like this from D3.js.
import { select } from 'd3';

const svg = select('svg');

// You can import local ES6 modules like this. See message.js!
import { message } from './myMessage';

// This line uses D3 to set the text of the message div.
select('#message').text(message);

const width = +svg.attr('width');
const height = +svg.attr('height');

const circleGroup = svg
  .append('g')
  .attr(
    'transform',
    `translate(${width / 2}, ${height / 2})`
  );

circleGroup
  .append('circle')
  .attr('cx', -150)
  .attr('r', 50)
  .style('fill', 'blue');
circleGroup
  .append('circle')
  .attr('r', 50)
  .style('fill', 'red');
const circle3 = circleGroup
  .append('circle')
  .attr('cx', 150)
  .attr('r', 50)
  .attr('fill', 'green')
  .on('mouseover', function () {
    d3.select(this).attr('fill', 'black');
  })
  .on('mouseout', function () {
    d3.select(this).attr('fill', 'green');
  });

function moveCircles(circle3) {
  circle3
    .transition()
    .duration(2000)
    .attr(
      'transform',
      `translate(${100}, ${-100})`
    )
    .transition()
    .duration(2000)
    .attr('transform', `translate(${100}, ${0})`);
}

svg
  .append('rect')
  .attr('cx', 0)
  .attr('height', 100)
  .attr('width', 200)
  .on('click', function () {
    moveCircles(circle3);
  });
